#31 Add Redmine 1.2.x support

Next Release
open
nobody
5
2011-07-10
2011-07-10
Neokeeper
No

When I try to add a new Task Repository with Redmine 1.2.0 and Mylyn 2.7.2 it works. Task are being shown and Queries works as well. The problem appears when I try to submit a new or change an existing task. After a click on Submit button in a task, message dialog with error message "Submit failed: Server Error " always appears.

I found at https://sourceforge.net/apps/wordpress/redmin-mylyncon/2011/02/20/eclipse-3-5-and-redmine-1-1-now-also-supported/#comment-18 that it could be related with a JSON decoding bug.

Discussion

  • mf_in_ffm
    mf_in_ffm
    2011-07-13

    I've just updated from Redmine 1.1.3 to 1.2.1
    Now I can't connect to the Redmine server. It's an SSL connection.
    Within Eclipse I got an 'Invalid credentials' error.
    In the ssl_access_log there's an entry
    192.168.178.35 - - [13/Jul/2011:10:50:25 +0200] "GET /mylyn/version?key=41300771b6ccd7c7daeb6f5abae0401f45c8550d HTTP/1.1" 401 1

    --
    Eclipse 3.6.2, PDT 2.2.1, Mylyn Con 0.2.4 and 0.2.99, Mylyn Redmine Plugin 2.7.2